
Redmine - Feature #2979

New issue : choose displayed fields by profile

2009-03-16 11:36 - Dev Team UJM St Etienne

Status: Closed Start date: 2009-03-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We are testing redmine to see if it suits our needs in project management and it is really good, but we miss a few features.

It could be nice to be able to select which fields are displayed in the "new issue" form, depending on the user profile. For example

"assigned to" could be hidden for non members. For mandatory fields the default value could automatically be assigned if this field is

hidden.

Related issues:

Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

History

#1 - 2013-03-18 10:09 - Dipan Mehta

Effective Redmine: 2.1.0, primarily due to the feature #703, now this is possible.

Basically, each field can be set to either open, read-only or required. This is settable over a complete permutation of { per tracker x per role x per state

} so essentially almost all stuff you want to do is now possible.

If you want that user's of role x don't edit/fill certain fields (on certain state say "new" - or for some tracker!) - mark them as "Read-only"

#2 - 2013-03-18 11:57 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Duplicate

Well this one could be solved by #12005 too. All requested permissions and settings could be set with this patch.

I close this issue in favor of #12005 and add a new relation to it.
